#pragma once 

namespace gz {
    /**
     * @brief Base class for draw strategies for type T
     */
    template<typename T>
    class DrawStrategy {
        public:
            virtual void draw() = 0;
            virtual void update(const T&) = 0;
            virtual ~DrawStrategy() {};
    };
}
